Bug 1121479 (CVE-2014-1557) - CVE-2014-1557 Mozilla: Crash in Skia library when scaling high quality images (MFSA 2014-64)
Summary: CVE-2014-1557 Mozilla: Crash in Skia library when scaling high quality images...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-1557
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1118216
TreeView+ depends on / blocked
 
Reported: 2014-07-21 05:07 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 23:07:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0918 normal SHIPPED_LIVE Important: thunderbird security update 2014-07-22 22:20:22 UTC
Red Hat Product Errata RHSA-2014:0919 normal SHIPPED_LIVE Critical: firefox security update 2014-07-23 02:32:37 UTC

Description Huzaifa S. Sidhpurwala 2014-07-21 05:07:52 UTC
Mozilla community member John reported a crash in the Skia library when scaling high quality images if the scaling operation takes too long. This is caused by the image data being discarded while still in use by the scaling operation. This crash is potentially exploitable on some systems.

In general this flaw cannot be exploited through email in the Thunderbird product because scripting is disabled, but is potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2014/mfsa2014-64.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Mozilla community member John as the original reporter.

Comment 1 errata-xmlrpc 2014-07-22 18:21:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0918 https://rhn.redhat.com/errata/RHSA-2014-0918.html

Comment 2 errata-xmlrpc 2014-07-22 22:33:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2014:0919 https://rhn.redhat.com/errata/RHSA-2014-0919.html


Note You need to log in before you can comment on or make changes to this bug.